xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Andrea Rossato 2007
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ShowWName

Contents

- Usage

Description

This is a layout modifier that will show the workspace name

Synopsis

- showWName :: l a -> ModifiedLayout ShowWName l a
- showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a
- def :: Default a => a
- defaultSWNConfig :: SWNConfig
- data SWNConfig = SWNC {
  - swn_font :: String
  - swn_bgcolor :: String
  - swn_color :: String
  - swn_fade :: Rational
  }
- data ShowWName a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.ShowWName
    myLayout = layoutHook def
    main = xmonad def { layoutHook = showWName myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

showWName :: l a -> ModifiedLayout ShowWName l a #

A layout modifier to show the workspace name when switching

showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a #

A layout modifier to show the workspace name when switching. It is possible to provide a custom configuration.

def :: Default a => a #

The default value for this type.

defaultSWNConfig :: SWNConfig #

Deprecated: Use def (from Data.Default, and re-exported from XMonad.Layout.ShowWName) instead.

data SWNConfig #

Constructors

SWNC |
Fields swn_font :: String Font name swn_bgcolor :: String Background color swn_color :: String String color swn_fade :: Rational Time in seconds of the name visibility

Instances

Read SWNConfig # |
Methods readsPrec :: Int -> ReadS SWNConfig # readList :: ReadS [SWNConfig] # readPrec :: ReadPrec SWNConfig # readListPrec :: ReadPrec [SWNConfig] #
Show SWNConfig # |
Methods showsPrec :: Int -> SWNConfig -> ShowS # show :: SWNConfig -> String # showList :: [SWNConfig] -> ShowS #
Default SWNConfig # |
Methods def :: SWNConfig #

data ShowWName a #

Instances

LayoutModifier ShowWName a # |
Methods modifyLayout :: LayoutClass l a => ShowWName a -> Workspace WorkspaceId (l a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (l a)) # modifyLayoutWithUpdate :: LayoutClass l a => ShowWName a -> Workspace WorkspaceId (l a) a -> Rectangle -> X (([(a, Rectangle)], Maybe (l a)), Maybe (ShowWName a)) # handleMess :: ShowWName a -> SomeMessage -> X (Maybe (ShowWName a)) # handleMessOrMaybeModifyIt :: ShowWName a -> SomeMessage -> X (Maybe (Either (ShowWName a) SomeMessage)) # pureMess :: ShowWName a -> SomeMessage -> Maybe (ShowWName a) # redoLayout :: ShowWName a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> X ([(a, Rectangle)], Maybe (ShowWName a)) # pureModifier :: ShowWName a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> ([(a, Rectangle)], Maybe (ShowWName a)) # hook :: ShowWName a -> X () # unhook :: ShowWName a -> X () # modifierDescription :: ShowWName a -> String # modifyDescription :: LayoutClass l a => ShowWName a -> l a -> String #
Read (ShowWName a) # |
Methods readsPrec :: Int -> ReadS (ShowWName a) # readList :: ReadS [ShowWName a] # readPrec :: ReadPrec (ShowWName a) # readListPrec :: ReadPrec [ShowWName a] #
Show (ShowWName a) # |
Methods showsPrec :: Int -> ShowWName a -> ShowS # show :: ShowWName a -> String # showList :: [ShowWName a] -> ShowS #